@inproceedings{muldrey_ravage:_2013,
 abstract = {With trends in mixed-signal systems-on-chip indicating increasingly extreme scaling of device dimensions and higher levels of integration, the tasks of both design and device validation is becoming increasingly complex. Post-silicon validation of mixed-signal/RF systems provides assurances of functionality of complex systems that cannot be asserted by even some of the most advanced simulators. We introduce RAVAGE (from ``random;'' ``validation;'' and ``generation''), an algorithm for generating stimuli for post-silicon validation of mixed-signal systems. The approach of RAVAGE is new in that no assumption is made about any design anomaly present in the DDT; but rather, the stimulus is generated using the DUT itself with the objective of maximizing the effects of any behavioral differences between the DUT (hardware) and its behavioral model (software) as can be seen in the differences of their response to the same stimulus. Stochastic test generation is used since the exact nature of any behavioral anomaly in the DUT cannot be known a priori. Once a difference is observed, the model parameters are tuned using nonlinear optimization algorithms to remove the difference between its and the DUT's responses and the process (test generation\textrightarrow tuning) is repeated. If a residual error remains at the end of this process that is larger than a predetermined threshold, then it is concluded that the DUT contains unknown and possibly malicious behaviors that need further investigation. Experimental results on an RF system (hardware) are presented to prove feasibility of the proposed technique.},
 author = {Muldrey, B. and Deyati, S. and Giardino, M. and Chatterjee, A.},
 booktitle = {VLSI Test Symposium (VTS), 2013 IEEE 31st},
 doi = {10.1109/VTS.2013.6548917},
 file = {/home/bjmuld/archive/app-data/Zotero/storage/K52EEZ2M/Muldrey et al. - 2013 - RAVAGE Post-silicon validation of mixed signal sy.pdf;/home/bjmuld/archive/app-data/Zotero/storage/58GM3QGH/6548917.html},
 ids = {muldreyRAVAGEPostsiliconValidation2013},
 keywords = {Automatic test pattern generation,behavioral model,circuit tuning,elemental semiconductors,genetic algorithms,genetic stimulus evolution,hardware Trojan detection,Integrated circuit modeling,integrated circuit testing,malicious behaviors,Mathematical model,mixed analogue-digital integrated circuits,mixed signal systems,mixed-signal systems-on-chip,mixed-signal-RF systems,model tuning,nonlinear optimization,optimisation,Post-silicon Validation,Radio frequency,radiofrequency integrated circuits,RAVAGE,residual error,Si,silicon,Sociology,Statistics,stochastic test generation,system-on-chip,Tuning},
 month = {April},
 pages = {1--6},
 shorttitle = {RAVAGE},
 title = {RAVAGE: Post-Silicon Validation of Mixed Signal Systems Using Genetic Stimulus Evolution and Model Tuning},
 year = {2013}
}

